cURL
curl --request GET \
--url https://app.teable.ai/api/base/%7BbaseId%7D/node/list \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'[
{
"id": "<string>",
"parentId": "<string>",
"resourceId": "<string>",
"order": 123,
"resourceMeta": {
"name": "<string>",
"icon": "<string>",
"defaultViewId": "<string>"
},
"defaultUrl": "<string>",
"parent": {
"id": "<string>"
},
"children": [
{
"id": "<string>",
"order": 123
}
]
}
]base node
Get base nodelist
Get list nodes of a base
GET
/
base
/
{baseId}
/
node
/
list
cURL
curl --request GET \
--url https://app.teable.ai/api/base/%7BbaseId%7D/node/list \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'[
{
"id": "<string>",
"parentId": "<string>",
"resourceId": "<string>",
"order": 123,
"resourceMeta": {
"name": "<string>",
"icon": "<string>",
"defaultViewId": "<string>"
},
"defaultUrl": "<string>",
"parent": {
"id": "<string>"
},
"children": [
{
"id": "<string>",
"order": 123
}
]
}
]Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
List nodes
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
Last modified on March 5, 2026
Was this page helpful?
⌘I

